com.independentsoft.exchange

## Class ReplyBody

- java.lang.Object
- - com.independentsoft.exchange.ReplyBody

-     public class ReplyBody
      extends java.lang.Object

  Contains an Out of Office (OOF) message and the language used for the message.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ReplyBody()` Initializes a new instance of the ReplyBody class.
    `ReplyBody(java.lang.String message)` Initializes a new instance of the ReplyBody class.
    `ReplyBody(java.lang.String message, java.lang.String language)` Initializes a new instance of the ReplyBody class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLanguage()` Gets the language used in the ReplyBody contents.
    `java.lang.String` | `getMessage()` Gets the out of office (OOF) response.
    `void` | `setLanguage(java.lang.String language)` Sets the language used in the ReplyBody contents.
    `void` | `setMessage(java.lang.String message)` Sets the out of office (OOF) response.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ReplyBody

          public ReplyBody()

      Initializes a new instance of the ReplyBody class.

    - #### ReplyBody

          public ReplyBody(java.lang.String message)

      Initializes a new instance of the ReplyBody class.
      Parameters:
        `message` - the message

    - #### ReplyBody

          public ReplyBody(java.lang.String message,
                           java.lang.String language)

      Initializes a new instance of the ReplyBody class.
      Parameters:
        `message` - the message
        `language` - the language

  - ### Method Detail

    - #### getMessage

          public java.lang.String getMessage()

      Gets the out of office (OOF) response.
      Returns:
        the message

    - #### setMessage

          public void setMessage(java.lang.String message)

      Sets the out of office (OOF) response.
      Parameters:
        `message` - the new message

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the language used in the ReplyBody contents.
      Returns:
        the language

    - #### setLanguage

          public void setLanguage(java.lang.String language)

      Sets the language used in the ReplyBody contents.
      Parameters:
        `language` - the new language